%define upstream_name    Module-Data
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Introspect context information about modules in @INC
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Path::ScanINC) >= 0.2.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.13.0-6.mga10
+ Revision: 2208495
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.13.0-5.mga9
+ Revision: 1818872
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.13.0-4.mga8
+ Revision: 1505187
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-3.mga7
+ Revision: 1284782
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.13.0-2.mga7
+ Revision: 1165543
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 0.13.0-1.mga7
+ Revision: 1156197
- update to 0.013

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-6.mga6
+ Revision: 1029958
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.7.0-5.mga6
+ Revision: 949278
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 789478
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 746300
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 685421
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 585989
- update to 0.007

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 512956
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 369789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 298672
- adding missing buildrequires:
- imported package perl-Module-Data


* Wed Sep 26 2012 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
